Subject: bug#16982: closed (Re: bug#16982: Mail displayed improperly after, viewing email with HTML inside.)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 20 Nov 2020 17:35:02 +0000

Your bug report

#16982: Mail displayed improperly after,viewing email with HTML inside.

which was filed against the emacs,mh-e package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
16982: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=16982
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#16982: Mail displayed improperly after, viewing email with HTML inside.
From: Bill Wohler <[email-masked]>
To: [email-masked]
Cc: Mike Kupfer <[email-masked]>
Date: Fri, 20 Nov 2020 09:34:00 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

close 16982 27.1
tags 16982 unreproducible
thanks

Stefan Kangas <[email-masked]> wrote:

> Hi Bill,
> 
> "James L. Barker" <[email-masked]> writes:
> 
> > -- Description:  Regular Text email is displaying fine.  However when you move
> >    to an email that contains HTML, the backround colors get messed up, but the
> >    text seems to display properly.  But when you move back to view another plain
> >    text email, the plain text email, gets around 50 spaces added to the front of
> >   the mail message, which skews the viewer.
> >
> > Version: Emacs 24.3
> > OS: RHEL 6.5
> > Email: mh-e  8.5
> >
> > Steps to reproduce.
> > 1. M-x mh-rmail.
> > 2. Move to email with HTML, press enter to view.
> > 3. Then move to plain text email, press enter to view
> >
> > Hack fix:
> > I was able to get around this for now, by putting this in my .emacs
> > (setq mm-text-html-renderer 'html2text)
> > I am guessing that something was done to the HTML viewer on emacs from 23 to 24
> > which is causing this.
> >
> > This bug does not exist with 23.3.1 with MH-e 1.8.2.
> 
> This has been sitting in the bug tracker for 6 years or so.  Could you
> please help look into it if/when you find some time?
> 
> Thanks in advance.

Thanks for the poke, Stefan. I have a vague recollection of having
seen this myself in the distant past.

However, this issue seems to have since been resolved, but I don't
recall how. Perhaps it was fixed in Gnus (which MH-E uses under the
hood) as I couldn't find any tickets matching this description in the
MH-E ticketing system. I could not reproduce it (with the very clear
recipe, thanks!) with the MH-E distributed with Emacs 27.1 with emacs
-Q.

I've cc'd Mike in case he has any more details to add, but otherwise,
I'm closing this as unreproducible.

-- 
Bill Wohler <[email-masked]> aka <[email-masked]>
http://www.newt.com/wohler/, GnuPG ID:610BD9AD

Subject: Mail displayed improperly after,viewing email with HTML inside.
From: "James L. Barker" <[email-masked]>
To: [email-masked]
Date: Mon, 10 Mar 2014 15:35:29 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

-- Description:  Regular Text email is displaying fine.  However when 
you move to an email that contains HTML, the backround colors get messed 
up, but the text seems to display properly.  But when you move back to 
view another plain text email, the plain text email, gets around 50 
spaces added to the front of the mail message, which skews the viewer.

Version: Emacs 24.3
OS: RHEL 6.5
Email: mh-e  8.5

Steps to reproduce.
1. M-x mh-rmail.
2. Move to email with HTML, press enter to view.
3. Then move to plain text email, press enter to view

Hack fix:
I was able to get around this for now, by putting this in my .emacs
(setq mm-text-html-renderer 'html2text)
I am guessing that something was done to the HTML viewer on emacs from 
23 to 24 which is causing this.

This bug does not exist with 23.3.1 with MH-e 1.8.2.

Thanks,

James